local ZhanbuLogic = require("zhanbu.ZhanbuLogic")

function CG_ZHANBU_QUERY(human)
    ZhanbuLogic.zhanbuQuery(human)
end

function CG_ZHANBU_BUY_CARD(human,msg)
    ZhanbuLogic.buyCard(human,msg.index,msg.heroID)
end

function CG_ZHANBU_CHANGE_POS(human,msg)
    ZhanbuLogic.changePos(human,msg.newPos)
end

function CG_ZHANBU_REFRESH_POOL(human)
    ZhanbuLogic.refreshCardPool(human)
end

function CG_ZHANBU_SELL_CARD(human,msg)
    ZhanbuLogic.sellCard(human,msg.index,msg.heroID)
end

function CG_ZHANBU_HEART_HERO_QUERY(human,msg)
    ZhanbuLogic.zhanbuHeartHeroQuery(human)
end

function CG_ZHANBU_HEART_HERO(human,msg)
    ZhanbuLogic.setHeartHero(human,msg.heroList)
end